net.corda.core.testing

## Class CurrencyGenerator

- net.corda.core.testing.CurrencyGenerator

-     public class CurrencyGenerator

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CurrencyGenerator.Companion`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static CurrencyGenerator.Companion` | `Companion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CurrencyGenerator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Currency` | `generate(com.pholser.junit.quickcheck.random.SourceOfRandomness random, com.pholser.junit.quickcheck.generator.GenerationStatus status)`

- - ### Field Detail

    - #### Companion

          public static CurrencyGenerator.Companion Companion

  - ### Constructor Detail

    - #### CurrencyGenerator

          public CurrencyGenerator()

  - ### Method Detail

    - #### generate

          public java.util.Currency generate(com.pholser.junit.quickcheck.random.SourceOfRandomness random,
                                             com.pholser.junit.quickcheck.generator.GenerationStatus status)